wald-class {arf3DS4} | R Documentation

## arf3DS4 "wald" class

### Description

The arf3DS4 "wald" class contains information of the statistics on the spatial model parameters. It is used in the `model` class.

### Objects

Objects can be created by calls of the form `new("wald", ...)`.

### Slots

`consts`:

  The #regions by #hypothesis matrix defining the constants used for testing.

`stats`:

  The #regions by #hypothesis matrix of wald statistics.

`df1`:

  Vector of the Degrees of Freedom of the model.

`df2`:

  Vector of the Degrees of Freedom of the error.

`pvalues`:

  The #regions by #hypothesis matrix of p-values.

### Methods

Standard arf3DS4 accessor and replacement functions can be used to access and replace slots.

access

  `.classname.slotname(object)`

replace

  `.classname.slotname(object)<-`

In this case classname is "wald" and slotname is for example "stats". So to access the "stats" slot of an r-object "mywald" (of class "wald") type `.wald.stats(mywald)`.

### Author(s)

Wouter D. Weeda - w.d.weeda@gmail.com

### See Also

`model`, `wald`

### Examples

    showClass("wald")

[Package arf3DS4 version 2.5-10 Index]